searchNodes=[{"doc":"Bitfield is the core structure about the Bloom filter.","ref":"Petal.Bitfield.html","title":"Petal.Bitfield","type":"module"},{"doc":"Creates a new Bitfield.","ref":"Petal.Bitfield.html#new/1","title":"Petal.Bitfield.new/1","type":"function"},{"doc":"Defines the core type","ref":"Petal.Bitfield.html#t:t/0","title":"Petal.Bitfield.t/0","type":"type"},{"doc":"Collection of functions for working with byte arrays.","ref":"Petal.Bytes.html","title":"Petal.Bytes","type":"module"},{"doc":"Return the size in bytes from bits.","ref":"Petal.Bytes.html#byte_size_of_field/1","title":"Petal.Bytes.byte_size_of_field/1","type":"function"},{"doc":"Round up the bits so that they are divisible by 8.","ref":"Petal.Bytes.html#ceil_bits/1","title":"Petal.Bytes.ceil_bits/1","type":"function"},{"doc":"Check for the existance of the set bit from offset in bitfield.Examplesiex&gt; Petal.Bytes.exists?(23, &lt;&lt;0,0,1,0&gt;&gt;) true","ref":"Petal.Bytes.html#exists?/2","title":"Petal.Bytes.exists?/2","type":"function"},{"doc":"Generate a binary that is n bytes long.","ref":"Petal.Bytes.html#generate_n_bytes/1","title":"Petal.Bytes.generate_n_bytes/1","type":"function"},{"doc":"Pad the encoded payload to n bytes.Examplesiex&gt; Petal.Bytes.pad_encoded_payload(1, &lt;&lt;1&gt;&gt;) &lt;&lt;0, 1&gt;&gt;","ref":"Petal.Bytes.html#pad_encoded_payload/2","title":"Petal.Bytes.pad_encoded_payload/2","type":"function"},{"doc":"Handles the bulk of the Bloom filter operations.The general gist is to hash the payload, then modulo the number against the number of bits in the filter, then set that bit.","ref":"Petal.Worker.html","title":"Petal.Worker","type":"module"},{"doc":"Add an item to the filter.","ref":"Petal.Worker.html#add/1","title":"Petal.Worker.add/1","type":"function"},{"doc":"Check for the existance of item in the filter.","ref":"Petal.Worker.html#check/1","title":"Petal.Worker.check/1","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Petal.Worker.html#child_spec/1","title":"Petal.Worker.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Petal.Worker.html#init/1","title":"Petal.Worker.init/1","type":"function"},{"doc":"Inspect the current bloom filter contents.","ref":"Petal.Worker.html#inspect/0","title":"Petal.Worker.inspect/0","type":"function"},{"doc":"","ref":"Petal.Worker.html#start_link/1","title":"Petal.Worker.start_link/1","type":"function"},{"doc":"Define the behaviour of hashers.","ref":"Petal.Hasher.html","title":"Petal.Hasher","type":"behaviour"},{"doc":"Takes in a payload and hashes using the underlying implementation.","ref":"Petal.Hasher.html#c:hash/1","title":"Petal.Hasher.hash/1","type":"callback"},{"doc":"Wraps Erlangs Adler32 implementation.","ref":"Petal.Hasher.Adler32.html","title":"Petal.Hasher.Adler32","type":"module"},{"doc":"Wraps Erlangs CRC32 implementation.","ref":"Petal.Hasher.CRC32.html","title":"Petal.Hasher.CRC32","type":"module"},{"doc":"Petal 🌺Petal is a Bloom filter in Elixir.","ref":"readme.html","title":"Petal 🌺","type":"extras"},{"doc":"You can use Petal by adding it to your dependencies in mix.exs:def deps do [ {:petal, &quot;~&gt; 0.2.0&quot;} ] endThen within your config file you'll need to specify the hashing implementations to use:config :petal, hashers: [ Petal.Hasher.Adler32, Petal.Hasher.CRC32 ]The ones above are included with Petal. You are free to add your own though, just check the documentation for how to implement your own.You can set the size of the filter with the config setting filter_size:config :petal, filter_size: 64To calculate what size filter you will need, you can use a handy calculator such as the one here: https://hur.st/bloomfilter.By default this is set to 64 bits.Documentation can be generated with ExDoc. The docs can also be found at https://hexdocs.pm/petal.","ref":"readme.html#usage","title":"Petal 🌺 - Usage","type":"extras"}]